Add a payment to an invoice.
curl --request POST \
--url https://{subdomain}.outseta.com/api/v1/billing/transactions/payment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"TransactionDate": "string",
"BillingTransactionType": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Invoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Amount": 0,
"IsCaptured": false,
"IsElectronicTransaction": false
}
'import requests
url = "https://{subdomain}.outseta.com/api/v1/billing/transactions/payment"
payload = {
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"TransactionDate": "string",
"BillingTransactionType": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": False,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": False,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": False,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": False,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Invoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": False,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": False,
"HasPaymentGatewayTransactions": False,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Amount": 0,
"IsCaptured": False,
"IsElectronicTransaction": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
Uid: 'string',
_objectType: 'string',
ActivityEventData: {},
TransactionDate: 'string',
BillingTransactionType: 1,
Account: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
SchemaLessData: {},
StripeId: 'string',
IsLivemode: false,
Name: 'string',
ClientIdentifier: 'string',
Currency: 'string',
InvoiceNotes: 'string',
IsDemo: false,
BillingAddress: {},
MailingAddress: {},
AccountStage: 2,
PaymentInformation: {},
PersonAccount: [],
StripeDefaultPaymentMethodId: 'string',
StripeInvoices: [],
StripePaymentMethods: [],
StripeSubscriptions: [],
Subscriptions: [],
Deals: [],
LastLoginDateTime: 'string',
AccountSpecificPageUrl1: 'string',
AccountSpecificPageUrl2: 'string',
AccountSpecificPageUrl3: 'string',
AccountSpecificPageUrl4: 'string',
AccountSpecificPageUrl5: 'string',
AccountSpecificPageUrl6: 'string',
AccountSpecificPageUrl7: 'string',
AccountSpecificPageUrl8: 'string',
AccountSpecificPageUrl9: 'string',
AccountSpecificPageUrl10: 'string',
RewardFulReferralId: 'string',
ToltReferralId: 'string',
TaxIds: [],
TaxStatus: 'string',
AccountStageLabel: 'string',
CurrentStripeProducts: 'string',
CurrentSubscription: {},
DomainName: 'string',
HasLoggedIn: false,
LatestSubscription: {},
LifetimeRevenue: 0,
NextStripeInvoiceDate: 'string',
Nonce: 'string',
PrimaryContact: {},
PrimarySubscription: {},
PrimaryStripeSubscription: {},
RecaptchaToken: 'string',
StripeNextInvoiceSequence: 0,
StripePrice: [],
StripePromotionCode: 'string',
TaxId: 'string',
TaxIdIsInvalid: false,
TaxIdType: 'string',
WebflowSlug: 'string'
},
Invoice: {
Uid: 'string',
_objectType: 'string',
Created: 'string',
Updated: 'string',
ActivityEventData: {},
InvoiceDate: 'string',
PaymentReminderSentDate: 'string',
Number: 0,
BillingInvoiceStatus: 1,
Subscription: {},
Amount: 0,
AmountOutstanding: 0,
InvoiceLineItems: [],
IsUserGenerated: false,
StripeTaxCalculationId: 'string',
StripeTaxBehavior: 'string',
AmountCredit: 0,
AmountDiscount: 0,
AmountPaid: 0,
AmountRefunded: 0,
AmountSubtotal: 0,
AmountTax: 0,
AmountTaxRefunded: 0,
IsTaxable: false,
HasPaymentGatewayTransactions: false,
StripePaymentTransactionIds: 'string',
StripeRefundTransactionIds: 'string',
StripeTaxRefundTransactionIds: 'string'
},
Amount: 0,
IsCaptured: false,
IsElectronicTransaction: false
})
};
fetch('https://{subdomain}.outseta.com/api/v1/billing/transactions/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"TransactionDate": "string",
"BillingTransactionType": 1,
"Account": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {},
"MailingAddress": {},
"AccountStage": 2,
"PaymentInformation": {},
"PersonAccount": [],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [],
"StripePaymentMethods": [],
"StripeSubscriptions": [],
"Subscriptions": [],
"Deals": [],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {},
"PrimarySubscription": {},
"PrimaryStripeSubscription": {},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": [],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
},
"Invoice": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
},
"Amount": 0,
"IsCaptured": false,
"IsElectronicTransaction": false
}Invoices & payments
Add a payment to an invoice.
If the amount matches the outstanding amount of the invoice, the invoice will be marked as Paid.
POST
/
api
/
v1
/
billing
/
transactions
/
payment
Add a payment to an invoice.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Body
application/json
The payment transaction, including Account, Invoice, and Amount references
Maximum string length:
101 - Invoice, 2 - Payment, 3 - Credit, 4 - Refund, 5 - Chargeback, 6 - TaxRefund
Available options:
1, 2, 3, 4, 5, 6 Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"MailingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"AccountStage": 2,
"PaymentInformation": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Account": {},
"CustomerToken": "string",
"LastFourDigits": "string",
"LatestFailureDateTime": "string",
"LatestFailureDescription": "string",
"LatestSuccessDateTime": "string",
"NumberOfFailures": 0,
"PaymentClientSecret": "string",
"PaymentMethodType": "string",
"PaymentToken": "string",
"BankName": "string",
"BankAccountType": "string",
"BankAccountHolderType": "string",
"NameOnCard": "string",
"CardType": "string",
"ExpirationMonth": "string",
"ExpirationYear": "string",
"Mode": "string",
"OneTimeToken": "string",
"RecaptchaToken": "string",
"SetupIntent": "string"
},
"PersonAccount": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Account": {},
"IsPrimary": false,
"ReceiveInvoices": false,
"Role": 1
}
],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountDue": 0,
"AmountPaid": 0,
"AmountShipping": 0,
"AttemptCount": 0,
"Attempted": false,
"Currency": "string",
"Description": "string",
"FinalizedAt": "string",
"HostedInvoiceUrl": "string",
"InvoicePdf": "string",
"NextPaymentAttempt": "string",
"Number": "string",
"PeriodEnd": "string",
"PeriodStart": "string",
"Status": "string",
"StripeDiscounts": [],
"StripeInvoiceDiscountAmounts": [],
"StripeInvoiceLineItems": [],
"StripeInvoicePayments": [],
"SubTotal": 0,
"SubTotalExcludingTax": 0,
"SubscriptionId": "string",
"Tax": 0,
"Total": 0,
"TotalExcludingTax": 0,
"Account": {},
"IsRefunded": false,
"CurrencyAmountCreditedPostPayment": 0,
"CurrencyAmountCreditedPrePayment": 0,
"CurrencyAmountDue": 0,
"CurrencyAmountPaid": 0,
"CurrencySymbol": "string",
"CurrencyTotal": 0,
"CurrencyTotalExcludingTax": 0,
"CurrencySubTotal": 0,
"CurrencySubTotalExcludingTax": 0,
"CurrencyTax": 0,
"DaysUntilDue": 0,
"CustomerId": "string",
"PaymentStatus": "string",
"StripeCreditNotes": [],
"StripePaymentMethodId": "string"
}
],
"StripePaymentMethods": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"Card_Brand": "string",
"Card_ExpMonth": 0,
"Card_ExpYear": 0,
"Card_Wallet_Type": "string",
"BankName": "string",
"Last4": "string",
"Type": "string",
"Label": "string"
}
],
"StripeSubscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"CancelAt": "string",
"CancelAtPeriodEnd": false,
"StripeSubscriptionCancellation": {},
"Currency": "string",
"EndedAt": "string",
"PauseCollection_Behavior": "string",
"PauseCollection_ResumesAt": "string",
"StartDate": "string",
"Status": "string",
"TrialEnd": "string",
"StripeDiscounts": [],
"StripeSubscriptionItems": [],
"StripeSubscriptionSchedules": [],
"Account": {},
"AccountUid": "string",
"BillingCycleAnchor": "string",
"CollectionMethod": "string",
"CustomerId": "string",
"DaysUntilDue": 0,
"ScheduleId": "string",
"StripeDiscountIds": [],
"StripePriceIds": "string",
"TrialPeriodDays": 0,
"CurrentStripeSubscriptionSchedule": {}
}
],
"Subscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
}
],
"Deals": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"Amount": 0,
"DueDate": "string",
"AssignedToPersonClientIdentifier": "string",
"Weight": 0,
"DealPipelineStage": {},
"Account": {},
"DealPeople": [],
"Contacts": "string",
"AccountId": 0,
"Owner": {},
"PipelineUid": "string"
}
],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"TaxId": "string",
"TaxIdType": "string",
"IsInvalid": false
}
],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"PrimarySubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"PrimaryStripeSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"CancelAt": "string",
"CancelAtPeriodEnd": false,
"StripeSubscriptionCancellation": {},
"Currency": "string",
"EndedAt": "string",
"PauseCollection_Behavior": "string",
"PauseCollection_ResumesAt": "string",
"StartDate": "string",
"Status": "string",
"TrialEnd": "string",
"StripeDiscounts": [],
"StripeSubscriptionItems": [],
"StripeSubscriptionSchedules": [],
"Account": {},
"AccountUid": "string",
"BillingCycleAnchor": "string",
"CollectionMethod": "string",
"CustomerId": "string",
"DaysUntilDue": 0,
"ScheduleId": "string",
"StripeDiscountIds": [],
"StripePriceIds": "string",
"TrialPeriodDays": 0,
"CurrentStripeSubscriptionSchedule": {}
},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": ["string"],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
}
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
Response
Minimum string length:
1Minimum string length:
1Maximum string length:
101 - Invoice, 2 - Payment, 3 - Credit, 4 - Refund, 5 - Chargeback, 6 - TaxRefund
Available options:
1, 2, 3, 4, 5, 6 Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Name": "string",
"ClientIdentifier": "string",
"Currency": "string",
"InvoiceNotes": "string",
"IsDemo": false,
"BillingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"MailingAddress": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"AddressLine1": "string",
"AddressLine2": "string",
"AddressLine3": "string",
"City": "string",
"State": "string",
"PostalCode": "string",
"Country": "string",
"GeoLocation": "string"
},
"AccountStage": 2,
"PaymentInformation": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Account": {},
"CustomerToken": "string",
"LastFourDigits": "string",
"LatestFailureDateTime": "string",
"LatestFailureDescription": "string",
"LatestSuccessDateTime": "string",
"NumberOfFailures": 0,
"PaymentClientSecret": "string",
"PaymentMethodType": "string",
"PaymentToken": "string",
"BankName": "string",
"BankAccountType": "string",
"BankAccountHolderType": "string",
"NameOnCard": "string",
"CardType": "string",
"ExpirationMonth": "string",
"ExpirationYear": "string",
"Mode": "string",
"OneTimeToken": "string",
"RecaptchaToken": "string",
"SetupIntent": "string"
},
"PersonAccount": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Person": {},
"Account": {},
"IsPrimary": false,
"ReceiveInvoices": false,
"Role": 1
}
],
"StripeDefaultPaymentMethodId": "string",
"StripeInvoices": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"AmountDue": 0,
"AmountPaid": 0,
"AmountShipping": 0,
"AttemptCount": 0,
"Attempted": false,
"Currency": "string",
"Description": "string",
"FinalizedAt": "string",
"HostedInvoiceUrl": "string",
"InvoicePdf": "string",
"NextPaymentAttempt": "string",
"Number": "string",
"PeriodEnd": "string",
"PeriodStart": "string",
"Status": "string",
"StripeDiscounts": [],
"StripeInvoiceDiscountAmounts": [],
"StripeInvoiceLineItems": [],
"StripeInvoicePayments": [],
"SubTotal": 0,
"SubTotalExcludingTax": 0,
"SubscriptionId": "string",
"Tax": 0,
"Total": 0,
"TotalExcludingTax": 0,
"Account": {},
"IsRefunded": false,
"CurrencyAmountCreditedPostPayment": 0,
"CurrencyAmountCreditedPrePayment": 0,
"CurrencyAmountDue": 0,
"CurrencyAmountPaid": 0,
"CurrencySymbol": "string",
"CurrencyTotal": 0,
"CurrencyTotalExcludingTax": 0,
"CurrencySubTotal": 0,
"CurrencySubTotalExcludingTax": 0,
"CurrencyTax": 0,
"DaysUntilDue": 0,
"CustomerId": "string",
"PaymentStatus": "string",
"StripeCreditNotes": [],
"StripePaymentMethodId": "string"
}
],
"StripePaymentMethods": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"Card_Brand": "string",
"Card_ExpMonth": 0,
"Card_ExpYear": 0,
"Card_Wallet_Type": "string",
"BankName": "string",
"Last4": "string",
"Type": "string",
"Label": "string"
}
],
"StripeSubscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"CancelAt": "string",
"CancelAtPeriodEnd": false,
"StripeSubscriptionCancellation": {},
"Currency": "string",
"EndedAt": "string",
"PauseCollection_Behavior": "string",
"PauseCollection_ResumesAt": "string",
"StartDate": "string",
"Status": "string",
"TrialEnd": "string",
"StripeDiscounts": [],
"StripeSubscriptionItems": [],
"StripeSubscriptionSchedules": [],
"Account": {},
"AccountUid": "string",
"BillingCycleAnchor": "string",
"CollectionMethod": "string",
"CustomerId": "string",
"DaysUntilDue": 0,
"ScheduleId": "string",
"StripeDiscountIds": [],
"StripePriceIds": "string",
"TrialPeriodDays": 0,
"CurrentStripeSubscriptionSchedule": {}
}
],
"Subscriptions": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
}
],
"Deals": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Name": "string",
"Amount": 0,
"DueDate": "string",
"AssignedToPersonClientIdentifier": "string",
"Weight": 0,
"DealPipelineStage": {},
"Account": {},
"DealPeople": [],
"Contacts": "string",
"AccountId": 0,
"Owner": {},
"PipelineUid": "string"
}
],
"LastLoginDateTime": "string",
"AccountSpecificPageUrl1": "string",
"AccountSpecificPageUrl2": "string",
"AccountSpecificPageUrl3": "string",
"AccountSpecificPageUrl4": "string",
"AccountSpecificPageUrl5": "string",
"AccountSpecificPageUrl6": "string",
"AccountSpecificPageUrl7": "string",
"AccountSpecificPageUrl8": "string",
"AccountSpecificPageUrl9": "string",
"AccountSpecificPageUrl10": "string",
"RewardFulReferralId": "string",
"ToltReferralId": "string",
"TaxIds": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"Account": {},
"TaxId": "string",
"TaxIdType": "string",
"IsInvalid": false
}
],
"TaxStatus": "string",
"AccountStageLabel": "string",
"CurrentStripeProducts": "string",
"CurrentSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"DomainName": "string",
"HasLoggedIn": false,
"LatestSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"LifetimeRevenue": 0,
"NextStripeInvoiceDate": "string",
"Nonce": "string",
"PrimaryContact": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"Email": "string",
"FirstName": "string",
"LastName": "string",
"MailingAddress": {},
"PasswordLastUpdated": "string",
"PasswordMustChange": false,
"PhoneMobile": "string",
"PhoneWork": "string",
"ProfileImageS3Url": "string",
"Title": "string",
"Timezone": "string",
"Language": "string",
"IPAddress": "string",
"Referer": "string",
"UserAgent": "string",
"LastLoginDateTime": "string",
"OAuthGoogleProfileId": "string",
"PersonAccount": [],
"DealPeople": [],
"LeadFormSubmissions": [],
"Account": {},
"AccountUids": "string",
"EmailListPerson": [],
"FullName": "string",
"HasLoggedIn": false,
"OAuthIntegrationStatus": 0,
"OptInToEmailList": false,
"Password": "string",
"UserAgentPlatformBrowser": "string",
"HasUnsubscribed": false,
"DiscordUser": {},
"IsConnectedToDiscord": false
},
"PrimarySubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"PrimaryStripeSubscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"SchemaLessData": {},
"StripeId": "string",
"IsLivemode": false,
"CancelAt": "string",
"CancelAtPeriodEnd": false,
"StripeSubscriptionCancellation": {},
"Currency": "string",
"EndedAt": "string",
"PauseCollection_Behavior": "string",
"PauseCollection_ResumesAt": "string",
"StartDate": "string",
"Status": "string",
"TrialEnd": "string",
"StripeDiscounts": [],
"StripeSubscriptionItems": [],
"StripeSubscriptionSchedules": [],
"Account": {},
"AccountUid": "string",
"BillingCycleAnchor": "string",
"CollectionMethod": "string",
"CustomerId": "string",
"DaysUntilDue": 0,
"ScheduleId": "string",
"StripeDiscountIds": [],
"StripePriceIds": "string",
"TrialPeriodDays": 0,
"CurrentStripeSubscriptionSchedule": {}
},
"RecaptchaToken": "string",
"StripeNextInvoiceSequence": 0,
"StripePrice": ["string"],
"StripePromotionCode": "string",
"TaxId": "string",
"TaxIdIsInvalid": false,
"TaxIdType": "string",
"WebflowSlug": "string"
}
Show child attributes
Show child attributes
Example:
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"InvoiceDate": "string",
"PaymentReminderSentDate": "string",
"Number": 0,
"BillingInvoiceStatus": 1,
"Subscription": {
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"BillingRenewalTerm": 1,
"Account": {},
"Plan": {},
"Quantity": 0,
"StartDate": "string",
"EndDate": "string",
"ExpirationDate": "string",
"RenewalDate": "string",
"NewRequiredQuantity": 0,
"IsPlanUpgradeRequired": false,
"PlanUpgradeRequiredMessage": "string",
"SubscriptionAddOns": [],
"DiscountCouponSubscriptions": [],
"DiscountCode": "string",
"DiscountCouponExpirationDate": "string",
"LatestInvoice": {},
"Rate": 0
},
"Amount": 0,
"AmountOutstanding": 0,
"InvoiceLineItems": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"StartDate": "string",
"EndDate": "string",
"Description": "string",
"UnitOfMeasure": "string",
"Quantity": 0,
"Rate": 0,
"Amount": 0,
"Tax": 0,
"Invoice": {},
"LineItemType": 1,
"EntityId": 0,
"StripeTaxReference": "string",
"StripeTaxLineItemId": "string",
"EntityUid": "string"
}
],
"IsUserGenerated": false,
"StripeTaxCalculationId": "string",
"StripeTaxBehavior": "string",
"AmountCredit": 0,
"AmountDiscount": 0,
"AmountPaid": 0,
"AmountRefunded": 0,
"AmountSubtotal": 0,
"AmountTax": 0,
"AmountTaxRefunded": 0,
"IsTaxable": false,
"HasPaymentGatewayTransactions": false,
"StripePaymentTransactionIds": "string",
"StripeRefundTransactionIds": "string",
"StripeTaxRefundTransactionIds": "string"
}
⌘I